iOS 8 and OSX 10.10 Yosemite Device Requirement

Last Updated: June 3, 2014 | Reading Time: < 1 minute

Happy to hear about new OS’ released for iOS and Mac devices. I currently have the old ones which are iPhone 4S and Mid 2009 Macbook Pro, the new one is iPad mini with retina display.

Fortunately, both of my old devices still supported to achieve new OS upgrades. Here’s the list of the supported devices by iOS 8 and Mac OSX Yosemite 10.10.

iOS 8:

  • iPhone 4S
  • iPhone 5
  • iPhone 5C
  • iPhone 5S
  • iPod Touch 5th generation
  • iPad 2
  • iPad with Retina Display
  • iPad Air
  • iPad Mini
  • iPad Mini with Retina Display

OS X 10.10 System Requirements:

  • iMac (mid-2007 or newer)
  • MacBook Air (late 2008 or newer)
  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)
  • Mac Mini (Early 2009 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • Mac Pro (Early 2008 or newer)
  • Xserve (Early 2009)
Leave a Comment

Comments

No comments yet. Why don’t you start the discussion?

    Any idea? Fill the comment below

    This site uses Akismet to reduce spam. Learn how your comment data is processed.